<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_CruiseList StructType
 * @subpackage Structs
 */
class JP_CruiseList extends AbstractStructBase
{
    /**
     * The Cruise
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseResult
     */
    public $Cruise;
    /**
     * Constructor method for JP_CruiseList
     * @uses JP_CruiseList::setCruise()
     * @param \StructType\JP_CruiseResult $cruise
     */
    public function __construct(\StructType\JP_CruiseResult $cruise = null)
    {
        $this
            ->setCruise($cruise);
    }
    /**
     * Get Cruise value
     * @return \StructType\JP_CruiseResult|null
     */
    public function getCruise()
    {
        return $this->Cruise;
    }
    /**
     * Set Cruise value
     * @param \StructType\JP_CruiseResult $cruise
     * @return \StructType\JP_CruiseList
     */
    public function setCruise(\StructType\JP_CruiseResult $cruise = null)
    {
        $this->Cruise = $cruise;
        return $this;
    }
}
